/*
* @author liujinjian
*
*
*  @function is_android             判断是否是安卓手机
*  @function is_iphone              判断是否是iphone手机
*  @function getQueryString         截取url里面携带的参数
*  @function appLogin               app登陆方法
*
*  @object   app                    登陆方法
*     @function contacts            通讯录授权
*     @function callLog             通讯记录
*     @function position            地理定位
*     @function contactsAndCallLog  通讯录和通讯记录授权的集合体
*
 **/
//判断当前是否是安卓手机
export const is_android = () => {
    var ua = navigator.userAgent.toLocaleLowerCase();
    if(ua.indexOf('android') > -1 || ua.indexOf('linux') > -1){
      return true;
    }else{
      return false;
    }
}
//判断当前是否是iphone手机
export const is_iphone = () => {
    var ua = navigator.userAgent.toLocaleLowerCase();
    if(ua.indexOf('iphone') > -1 || ua.indexOf('ipad') > -1 || ua.indexOf('ipod') > -1 || ua.indexOf('macintosh') > -1) {
        return true;
    } else {
        return false;
    }
}

//截取url 里面token的值
export const getQueryString = name => {
  let reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  let r = window.location.search.substr(1).match(reg);
  if (r != null) {
      return unescape(r[2])
  }
  return null
}
export const formatBankNo = bankNo => {
  if (bankNo == "") return '';
		var account = new String (bankNo);
		account = account.substring(0,23); /*帐号的总数, 包括空格在内 */
		if (account.match (".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null)
		{
		/* 对照格式 */
		if (account.match (".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" +
		".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null)
		{
		var accountNumeric = "",accountChar = "", i;
		for (i=0;i<account.length;i++)
		{
		accountChar = account.substr (i,1);
		if (!isNaN (accountChar) && (accountChar != " ")) accountNumeric = accountNumeric + accountChar;
		}
		account = "";
		for (i=0;i<accountNumeric.length;i++)
		{	/* 可将以下空格改为-,效果也不错 */
		if (i == 4) account = account + " "; /* 帐号第四位数后加空格 */
		if (i == 8) account = account + " "; /* 帐号第八位数后加空格 */
		if (i == 12) account = account + " ";/* 帐号第十二位后数后加空格 */
		if (i == 16) account = account + " ";/* 帐号第十六位后数后加空格 */
		account = account + accountNumeric.substr (i,1)
		}
		}
		}
		else
		{
		account = " " + account.substring (1,5) + " " + account.substring (6,10) + " " + account.substring (14,18) + "-" + account.substring(18,25);
		}
		if (account != bankNo){
       bankNo = account;
    }
    return bankNo;
}

//app登陆方法
export const appLogin = () =>{
  try{
    if (is_android()) {
        window.appShare.share(shareUrl, '', '', '');
    } else {
        window.location.href = "objc:/" + "{\"shareUrl\":\"" + shareUrl + "\",\"shareText\":\"\",\"shareContent\":\"\",\"image\":\"\"}"
    }
  }catch(e){
    console.log(e);
  }
}

export const app = {
  //获取通讯录授权
  contacts () {
    window.appCollection.collection('',true,'','');//调用app上传联系人
  },
  //获取通讯记录授权
  callLog () {
     window.appCollection.collection('','',true,'')//通讯记录
  },
  //获取地理位置授权
  position () {
     window.appCollection.collection(true,'','','');
  },
  //此方法加入安卓方法判断
  contactsAndCallLog () {
      window.appCollection.collection('',true,'','');//调用app上传联系人
      is_android()&&window.appCollection.collection('','',true,'');
  },
  closeWindow (){
    window.appWindow.closeWindow();
  },
  appLogin () {
   try{
     window.appLogin.login();
   }catch(e){
     if (is_android()) {
         window.appShare.share(shareUrl, '', '', '');
     } else {
         window.location.href = "objc:/" + "{\"shareUrl\":\"" + shareUrl + "\",\"shareText\":\"\",\"shareContent\":\"\",\"image\":\"\"}"
     }
   }
  },
  //人脸识别的方法
  facerecognition () {
    window.appFacerecognition.facerecognition();
  },
  //上传照片方法
  upload (type) {
    window.appCollection.upload(type, "");
  }

}
